#! /bin/bash
#
#   Copyright (c) 2010 SCM Microsystems GmbH , Germany
#  $Id: $
#   Authors: Benjamin Winter 
#
# Version: 1.0      14.01.2010
#
# Return values:
# 0 - success
# 4 - insufficient privilege
#
#
# Definitions
#
# Error Flag
BERROR=0

# for filecopy
LIBNAME=libctscm500-01.03.so
DEPNAME=libudev.so.0
LNKNAME=libctscm500.so
BIN_PATH=/usr/bin
ACC_PATH=/usr/share
LIB_PATH=/usr/lib
INC_PATH=/usr/include

# for UDEV
UDEV_SRC="40-cardterms.rules"
UDEV_OLD="95-cardterms.rules"

# for usb.ids
VENDORID=04E6
DEVICEID=1A02
VENDORNAME="SCM Microsystems"
DEVICENAME="eHealth500"

# show welcome
#
echo -e		"\n****************************************************************************"
echo -e		"****          Deinstallscript der CT-API Bibliothek für das               ****"
echo -e		"****       SCM Microsystems GmbH eHealth500 mobiles Terminal            ****"
echo -e     "* Die Deinstallation der benötigten Dateien und Erweiterung des udev-Service *"
echo -e     "****                     benötigt Root-Rechte                           ****"
echo -e		"****************************************************************************\n"

# Check for Root
#
echo -e     "****     Schritt 1: Überprüfung Root-Rechte             ****\n"
if [ $EUID -ne 0 ]; then
	echo -e "\nFehler: Sie haben keine Root-Rechte!"
	exit 4
	else
	echo -e "\nRoot-Rechte sind zugewiesen."
fi

# remove UDEV rule
echo -e     "\n****     Schritt 2: Entferne UDEV-Regeln                ****\n"
UDEV_PATH=`find /etc -type d -name rules.d`
if [ -f $UDEV_PATH/$UDEV_SRC ]; then
    echo -e "\nUDEV-Regel vorhanden."
    echo -n "Entferne Regel..."
    rm -f $UDEV_PATH/$UDEV_SRC
    echo "OK."
fi
if [ -f $UDEV_PATH/$UDEV_OLD ]; then
    echo -n "Weitere alte Regel gefunden, entferne diese ebenfalls..."
    rm -f $UDEV_PATH/$UDEV_OLD
    echo "OK."
fi


# Delete library and softlinks
echo -e     "\n****     Schritt 3: Entferne Library und Links          ****\n"
if [ -f $LIB_PATH/$LIBNAME ]; then
    echo -n "Entferne Library und Links..."
    rm -f $LIB_PATH/$LIBNAME
    rm -f $LIB_PATH/$LNKNAME
    echo "OK."
fi

ldconfig


echo -n -e "\nExit: $BERROR"
if [ $BERROR -eq 0 ]; then
    echo -e "\nDeinstallation erfolgreich!"
else
    echo -e -n "\n\aFehler bei der Deinstallation, bitte prüfen Sie"
    echo " die Bildschirmausgaben!"
fi


echo -e "\n"
exit 0
